View Issue Details

IDProjectCategoryView Status
SSPBT:本体(SSP)
SeverityminorReproducibilityalways 
Status closed 
Fixed in Version2.4 (リリース) 
Summary: SSPにてバルーンの禁則処理で文字が化けるケースがある
Description

バルーン右端の折り返し禁則処理と、フォント文字色変更+UCS-2コード埋め込みが同時に発生すると、その文字が化けてしまいます。

試したバルーン:「SSPデフォルト+」
再現する文字列:
123456789012345678901234\f[color,ff0000]_u[0x1F389]\f[color,default] test
SSPのバージョン:SSP/2.4.27
OS:Windows 10 HOME

Activities

ponapalt

2019-03-14 15:03

administrator   ~0000003

0xFFFFを超えるコードポイントの文字(UTF-16サロゲートペア)で発生していました。処理の考慮不足です。
次バージョンでなおります。

ponapalt

2019-03-15 12:55

administrator   ~0000006

2.4.28で修正

Issue History

Date Modified Username Field Change
2019-03-12 22:53 guest New Issue
2019-03-14 15:02 ponapalt Assigned To => ponapalt
2019-03-14 15:02 ponapalt Status new => assigned
2019-03-14 15:03 ponapalt Note Added: 0000003
2019-03-15 12:55 ponapalt Status assigned => closed
2019-03-15 12:55 ponapalt Resolution open => fixed
2019-03-15 12:56 ponapalt Note Added: 0000006
2019-03-15 17:38 ponapalt Fixed in Version => 2.4 (リリース)